Subject: Re: [PATCH] ipv[46]: Fix MD5 signatures for non-linear skbs

From: Stephen Hemminger <[email-masked]>
Date: Mon, 7 Jul 2008 11:22:37 -0700

On Mon, 7 Jul 2008 10:22:43 -0700
"Adam Langley" <[email-masked]> wrote:

> ipv[46]: Fix MD5 signatures for non-linear skbs
> 
> Currently, the MD5 code assumes that the SKBs are linear and, in the case
> that they aren't, happily goes off and hashes off the end of the SKB and
> into random memory.
> 
> Reported by Stephen Hemminger in [1]. Advice thanks to Stephen and Evgeniy
> Polyakov. Also includes a couple of missed route_caps from Stephen's patch
> in [2].
> 
> [1] http://marc.info/?l=linux-netdev&m=121445989106145&w=2
> [2] http://marc.info/?l=linux-netdev&m=121459157816964&w=2
> 
> Signed-off-by: Adam Langley <[email-masked]>

Acked-by: Stephen Hemminger <[email-masked]>

Patch doesn't apply cleanly to net-next-2.6 tree because of other changes
so to help the merge, please create a version for that as well.